ランタイム: Mix::Scene::IRenderer Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Protected Member Functions | List of all members
Mix::Scene::IRenderer Class Referenceabstract

レンダラーインターフェース More...

`#include <IRenderer.h>`

Inheritance diagram for Mix::Scene::IRenderer:
[legend]
Collaboration diagram for Mix::Scene::IRenderer:
[legend]

## Classes

struct | FOG_SETTINGS
| フォグパラメータ構造体 More...

## Public Types

enum | TYPE { FORWARD = 0 }
| タイプ列挙定数 More...
enum | WIDGET_LIGHTING_MODE { WL_DEFAULT = 0, WL_EVERYONE = 1, WL_DETAILED = 3 }
| ウィジェット : ライティングモード列挙定数 More...

## Public Member Functions

全般
virtual Mix::Scene::IRenderer::TYPE | GetType (void) const =0
| タイプを取得します More...
virtual const wchar_t * | GetName (void) const =0
| レンダラーの名前を取得します More...
virtual const Mix::Scene::RENDERER_CONFIG & | GetConfig (void) const =0
| レンダラーのコンフィグを取得します More...
virtual Boolean | SetConfig (const Mix::Scene::RENDERER_CONFIG &cfg)=0
| レンダラーのコンフィグを設定します More...
virtual Boolean | IsDynamicsAvailable (void) const =0
| ダイナミクスを使用することができるかどうかを確認します More...
virtual Boolean | IsWidgetAvailable (void) const =0
| ウィジェットを使用することができるかどうかを確認します More...
virtual Boolean | IsFogAvailable (void) const =0
| フォグを使用することができるかどうかを確認します More...
virtual Boolean | IsAtmosphereAvailable (void) const =0
| 大気シミュレーションを使用することができるかどうかを確認します More...
virtual Boolean | IsAmbientOcclusionAvailable (void) const =0
| アンビエントオクルージョンを使用することができるかどうかを確認します More...
virtual Boolean | IsShadowMappingAvailable (void) const =0
| シャドウマッピングを使用することができるかどうかを確認します More...
virtual Boolean | IsLuminosityAvailable (void) const =0
| ルミノシティを使用することができるかどうかを確認します More...
virtual Boolean | IsBloomAvailable (void) const =0
| ブルームを使用することができるかどうかを確認します More...
virtual Boolean | IsLightShaftsAvailable (void) const =0
| ライトシャフトを使用することができるかどうかを確認します More...
virtual Boolean | IsLensFlareAvailable (void) const =0
| レンズフレアを使用することができるかどうかを確認します More...
virtual Boolean | IsChromatismAvailable (void) const =0
| 色収差を使用することができるかどうかを確認します More...
virtual Boolean | IsDofAvailable (void) const =0
| 被写界深度を使用することができるかどうかを確認します More...
virtual void | Update (Float32 dt, Float32 baseDt=1.0f/60.0f)=0
| 更新を行います More...
virtual void | Refresh (void)=0
| リフレッシュを行います More...
virtual const Mix::Geometry::AABB & | GetOctreeBounds (void) const =0
| 描画の最適化に使用する八分木の境界を取得します More...
環境
virtual const Mix::Vector4 & | GetGlobalAmbientColor (void) const =0
| グローバルアンビエントカラーを取得します More...
virtual void | SetGlobalAmbientColor (const Mix::Vector4 &color)=0
| グローバルアンビエントカラーを設定します More...
virtual Boolean | ExistsEnvironmentTexture (void) const =0
| 環境テクスチャが存在しているかどうかを確認します More...
virtual Boolean | GetEnvironmentTexture (Mix::Graphics::ITexture **ppTex)=0
| 環境テクスチャを取得します。 More...
virtual void | SetEnvironmentTexture (Mix::Graphics::ITexture *pTex)=0
| 環境テクスチャを設定します。 More...
virtual Boolean | IsFogEnabled (void) const =0
| フォグが有効かどうかを確認します More...
virtual void | SetFogEnabled (Boolean state)=0
| フォグを有効にするかどうかを設定します More...
virtual const Mix::Scene::IRenderer::FOG_SETTINGS & | GetFogSettings (void) const =0
| フォグのパラメータを取得します More...
virtual void | SetFogSettings (const Mix::Scene::IRenderer::FOG_SETTINGS &param)=0
| フォグのパラメータを設定します More...
virtual void | GetAtmosphereScatter (Mix::Scene::IAtmosphereScatter **ppAtmospherePreference)=0
| 大気スキャッターを取得します More...
virtual void | GetDynamicsWorld (Mix::Scene::IDynamicsWorld **ppDynamicsWorld)=0
| ダイナミクスワールドを取得します More...
カメラ
virtual UInt32 | GetCameraCount (void) const =0
| カメラの数を取得します More...
virtual void | GetCameraByIndex (UInt32 index, Mix::Scene::ICamera **ppCamera)=0
| カメラを取得します More...
virtual Boolean | ContainsCamera (Mix::Scene::ICamera *pCamera) const =0
| カメラが存在しているかどうかを取得します More...
virtual Boolean | AddCamera (Mix::Scene::ICamera *pCamera)=0
| カメラを追加します More...
virtual Boolean | RemoveCamera (Mix::Scene::ICamera *pCamera)=0
| カメラを削除します More...
virtual void | RemoveCameraByIndex (UInt32 index)=0
| カメラを削除します More...
virtual void | RemoveAllCamera (void)=0
| 全てのカメラを削除します More...
半球ライト
virtual Boolean | ExistsHemisphereLight (void) const =0
| 半球ライトが利用可能かどうかを取得します More...
virtual Boolean | GetHemisphereLight (Mix::Scene::IHemisphereLight **ppHemisphereLight)=0
| 半球ライトを取得します More...
virtual Boolean | SetHemisphereLight (Mix::Scene::IHemisphereLight *pHemisphereLight)=0
| 半球ライトを設定します More...
ディレクショナルライト
virtual Boolean | ExistsDirectionalLight (void) const =0
| ディレクショナルライトが存在しているかどうかを取得します More...
virtual Boolean | GetDirectionalLight (Mix::Scene::IDirectionalLight **ppDirectionalLight)=0
| ディレクショナルライトを取得します More...
virtual Boolean | SetDirectionalLight (Mix::Scene::IDirectionalLight *pDirectionalLight)=0
| ディレクショナルライトを設定します More...
スポットライト
virtual UInt32 | GetSpotLightCount (void) const =0
| スポットライトの数を取得します More...
virtual void | GetSpotLightByIndex (UInt32 index, Mix::Scene::ISpotLight **ppSpotLight)=0
| スポットライトを取得します More...
virtual Boolean | ContainsSpotLight (Mix::Scene::ISpotLight *pSpotLight) const =0
| スポットライトが存在するかどうかを取得します More...
virtual Boolean | AddSpotLight (Mix::Scene::ISpotLight *pSpotLight)=0
| スポットライトを追加します More...
virtual Boolean | RemoveSpotLight (Mix::Scene::ISpotLight *pSpotLight)=0
| スポットライトを削除します More...
virtual void | RemoveSpotLightByIndex (UInt32 index)=0
| スポットライトを削除します More...
virtual void | RemoveAllSpotLight (void)=0
| 全てのスポットライトを削除します More...
ポイントライト
virtual UInt32 | GetPointLightCount (void) const =0
| ポイントライトの数を取得します More...
virtual void | GetPointLightByIndex (UInt32 index, Mix::Scene::IPointLight **ppPointLight)=0
| ポイントライトを取得します More...
virtual Boolean | ContainsPointLight (Mix::Scene::IPointLight *pPointLight) const =0
| ポイントライトが存在するかどうかを取得します More...
virtual Boolean | AddPointLight (Mix::Scene::IPointLight *pPointLight)=0
| ポイントライトを追加します More...
virtual Boolean | RemovePointLight (Mix::Scene::IPointLight *pPointLight)=0
| ポイントライトを削除します More...
virtual void | RemovePointLightByIndex (UInt32 index)=0
| ポイントライトを削除します More...
virtual void | RemoveAllPointLight (void)=0
| 全てのポイントライトを削除します More...
スカイドーム
virtual Boolean | ExistsSkyDome (void) const =0
| スカイドームが存在しているかどうかを確認します More...
virtual Boolean | GetSkyDome (Mix::Scene::ISkyDome **ppSkyDome)=0
| スカイドームを取得します More...
virtual Boolean | SetSkyDome (Mix::Scene::ISkyDome *pSkyDome)=0
| スカイドームを設定します。 More...
ウィジェット
virtual Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE | GetWidgetLightingMode (void) const =0
| ウィジェットのライティングモードを取得します More...
virtual void | SetWidgetLightingMode (Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE mode)=0
| ウィジェットのライティングモードを設定します More...
リービングパーティクル ( ウィジェット )
virtual UInt32 | GetLeavingParticleCount (void) const =0
| リービングパーティクルの数を取得します More...
virtual void | GetLeavingParticleByIndex (UInt32 index, Mix::Scene::IParticle **ppParticle)=0
| リービングパーティクルを取得します More...
virtual Boolean | ContainsLeavingParticle (Mix::Scene::IParticle *pParticle) const =0
| 指定したリービングパーティクルが存在しているかどうかを取得します More...
virtual Boolean | AddLeavingParticle (Mix::Scene::ILeavingParticle *pParticle)=0
| リービングリービングパーティクルを追加します More...
virtual Boolean | RemoveLeavingParticle (Mix::Scene::IParticle *pParticle)=0
| リービングパーティクルを削除します More...
virtual void | RemoveLeavingParticleByIndex (UInt32 index)=0
| リービングパーティクルを削除します More...
virtual void | RemoveAllLeavingParticle (void)=0
| 全てのリービングパーティクルを削除します More...
スキャッターパーティクル ( ウィジェット )
virtual UInt32 | GetScatterParticleCount (void) const =0
| スキャッターパーティクルの数を取得します More...
virtual void | GetScatterParticleByIndex (UInt32 index, Mix::Scene::IParticle **ppParticle)=0
| スキャッターパーティクルを取得します More...
virtual Boolean | ContainsScatterParticle (Mix::Scene::IParticle *pParticle) const =0
| 指定したスキャッターパーティクルが存在しているかどうかを取得します More...
virtual Boolean | AddScatterParticle (Mix::Scene::IScatterParticle *pParticle)=0
| スキャッタースキャッターパーティクルを追加します More...
virtual Boolean | RemoveScatterParticle (Mix::Scene::IParticle *pParticle)=0
| スキャッターパーティクルを削除します More...
virtual void | RemoveScatterParticleByIndex (UInt32 index)=0
| スキャッターパーティクルを削除します More...
virtual void | RemoveAllScatterParticle (void)=0
| 全てのスキャッターパーティクルを削除します More...
プランター ( ウィジェット )
virtual UInt32 | GetPlanterCount (void) const =0
| プランターの数を取得します More...
virtual void | GetPlanterByIndex (UInt32 index, Mix::Scene::IPlanter **ppPlanter)=0
| プランターを取得します More...
virtual Boolean | ContainsPlanter (Mix::Scene::IPlanter *pPlanter) const =0
| プランターが存在するかどうかを取得します More...
virtual Boolean | AddPlanter (Mix::Scene::IPlanter *pPlanter)=0
| プランターを追加します More...
virtual Boolean | RemovePlanter (Mix::Scene::IPlanter *pPlanter)=0
| プランターを削除します More...
virtual void | RemovePlanterByIndex (UInt32 index)=0
| プランターを削除します More...
virtual void | RemoveAllPlanter (void)=0
| 全てのプランターを削除します More...
アクターモデル
virtual UInt32 | GetActorModelCount (void) const =0
| アクターモデルの数を取得します More...
virtual void | GetActorModelByIndex (UInt32 index, Mix::Scene::IActorModel **ppActorModel)=0
| アクターモデルを取得します More...
virtual Boolean | ContainsActorModel (Mix::Scene::IActorModel *pActorModel) const =0
| 指定したアクターモデルが存在しているかどうかを取得します More...
virtual Boolean | AddActorModel (Mix::Scene::IActorModel *pActorModel)=0
| アクターモデルを追加します More...
virtual Boolean | RemoveActorModel (Mix::Scene::IActorModel *pActorModel)=0
| アクターモデルを削除します More...
virtual void | RemoveActorModelByIndex (UInt32 index)=0
| アクターモデルを削除します More...
virtual void | RemoveAllActorModel (void)=0
| 全てのアクターモデルを削除します More...
テラインモデル
virtual UInt32 | GetTerrainModelCount (void) const =0
| 地形モデルの数を取得します More...
virtual void | GetTerrainModelByIndex (UInt32 index, Mix::Scene::ITerrainModel **ppTerrainModel)=0
| 地形モデルを取得します More...
virtual Boolean | ContainsTerrainModel (Mix::Scene::ITerrainModel *pTerrainModel)=0
| 指定した地形モデルが存在しているかどうかを取得します More...
virtual Boolean | AddTerrainModel (Mix::Scene::ITerrainModel *pTerrainModel)=0
| 地形モデルを追加します More...
virtual Boolean | RemoveTerrainModel (Mix::Scene::ITerrainModel *pTerrainModel)=0
| 地形モデルを削除します More...
virtual void | RemoveTerrainModelByIndex (UInt32 index)=0
| 地形モデルを削除します More...
virtual void | RemoveAllTerrainModel (void)=0
| 全ての地形モデルを削除します More...
ライトシャフトキャスター
virtual Boolean | ExistsLightShaftsCaster (void) const =0
| ライトシャフトキャスターが存在しているかどうかを確認します More...
virtual Boolean | GetLightShaftsCaster (Mix::Scene::ILightShaftsCaster **ppLightShaftsCaster)=0
| ライトシャフトキャスターを取得します More...
virtual Boolean | SetLightShaftsCaster (Mix::Scene::ILightShaftsCaster *pLightShaftsCaster)=0
| ライトシャフトキャスターを設定します More...
ウォータープール
virtual UInt32 | GetWaterPoolCount (void) const =0
| ウォータープールの数を取得します More...
virtual void | GetWaterPoolByIndex (UInt32 index, Mix::Scene::IWaterPool **ppWaterPool)=0
| ウォータープールを取得します More...
virtual Boolean | ContainsWaterPool (Mix::Scene::IWaterPool *pWaterPool) const =0
| ウォータープールが存在するかどうかを取得します More...
virtual Boolean | AddWaterPool (Mix::Scene::IWaterPool *pWaterPool)=0
| ウォータープールを追加します More...
virtual Boolean | RemoveWaterPool (Mix::Scene::IWaterPool *pWaterPool)=0
| ウォータープールを削除します More...
virtual void | RemoveWaterPoolByIndex (UInt32 index)=0
| ウォータープールを削除します More...
virtual void | RemoveAllWaterPool (void)=0
| 全てのウォータープールを削除します More...
フロア
virtual Boolean | ExistsFloor (void) const =0
| フロアが利用可能かどうかを取得します More...
virtual Boolean | GetFloor (Mix::Scene::IFloor **ppFloor)=0
| フロアを取得します More...
virtual Boolean | SetFloor (Mix::Scene::IFloor *pFloor)=0
| フロアを設定します More...
ゴースト
virtual UInt32 | GetGhostCount (void) const =0
| ゴーストの数を取得します More...
virtual void | GetGhostByIndex (UInt32 index, Mix::Scene::IGhost **ppGhost)=0
| ゴーストを取得します More...
virtual Boolean | ContainsGhost (Mix::Scene::IGhost *pGhost) const =0
| 指定したゴーストが存在しているかどうかを取得します More...
virtual Boolean | AddGhost (Mix::Scene::IGhost *pGhost)=0
| ゴーストを追加します More...
virtual Boolean | RemoveGhost (Mix::Scene::IGhost *pGhost)=0
| ゴーストを削除します More...
virtual void | RemoveGhostByIndex (UInt32 index)=0
| ゴーストを削除します More...
virtual void | RemoveAllGhost (void)=0
| 全てのゴーストを削除します More...
デバッグ
virtual UInt32 | Debug_GetProfile (UInt32 type, void *pProf, UInt32 size) const =0
| プロファイルを取得します More...
virtual Boolean | Debug_GetPerspectiveRenderer (Mix::Graphics::Utility::IPerspectiveRenderer **ppPerspectiveRenderer)=0
| 描画用のパースペクティブレンダラーを取得します More...
virtual void | Debug_SetPerspectiveRenderer (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| 描画用のパースペクティブレンダラーを設定します More...
virtual Boolean | Debug_GetCanvasRenderer (Mix::Graphics::Utility::ICanvasRenderer **ppCanvasRenderer)=0
| 描画用のキャンバスレンダラーを取得します More...
virtual void | Debug_SetCanvasRenderer (Mix::Graphics::Utility::ICanvasRenderer *pCanvasRenderer)=0
| 描画用のキャンバスレンダラーを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IRenderer (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

レンダラーインターフェース

## Member Enumeration Documentation

enum Mix::Scene::IRenderer::TYPE

タイプ列挙定数

Enumerator

FORWARD

フォワード

Note
  ディレクショナルライトによる動的シャドウマッピング。
  １マテリアルに対して合計４つのスポットライト、ポイントライトを適用できます。

enum Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE

ウィジェット : ライティングモード列挙定数

Enumerator
WL_DEFAULT | グローバルライティングのみ

WL_EVERYONE

グローバルライティング and 全てのウィジェットをひとまとめにしたローカルライティング

Note
  ライティングに使用されるローカルライトは４つに限定されます。

WL_DETAILED | グローバルライティング and ウィジェット単位でのローカルライティング

## Constructor & Destructor Documentation

virtual Mix::Scene::IRenderer::~IRenderer | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Scene::IRenderer::TYPE Mix::Scene::IRenderer::GetType | ( | void |  | ) | const

pure virtual

タイプを取得します

Returns
  タイプを表す Mix::Scene::IRenderer::TYPE 列挙定数を返します

virtual const wchar_t* Mix::Scene::IRenderer::GetName | ( | void |  | ) | const

pure virtual

レンダラーの名前を取得します

Returns
  レンダラーの名前を返します

virtual const Mix::Scene::RENDERER_CONFIG& Mix::Scene::IRenderer::GetConfig | ( | void |  | ) | const

pure virtual

レンダラーのコンフィグを取得します

Returns
  レンダラーのコンフィグを表す Mix::Scene::RENDERER_CONFIG 構造体を返します

virtual Boolean Mix::Scene::IRenderer::SetConfig | ( | const Mix::Scene::RENDERER_CONFIG & | cfg | ) |

pure virtual

レンダラーのコンフィグを設定します

Parameters

  [in] | cfg | レンダラーのコンフィグを表す Mix::Scene::RENDERER_CONFIG 構造体

virtual Boolean Mix::Scene::IRenderer::IsDynamicsAvailable | ( | void |  | ) | const

pure virtual

ダイナミクスを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsWidgetAvailable | ( | void |  | ) | const

pure virtual

ウィジェットを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

Note
  ウィジェットとは、プランター、パーティクルのことを表します。

virtual Boolean Mix::Scene::IRenderer::IsFogAvailable | ( | void |  | ) | const

pure virtual

フォグを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsAtmosphereAvailable | ( | void |  | ) | const

pure virtual

大気シミュレーションを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsAmbientOcclusionAvailable | ( | void |  | ) | const

pure virtual

アンビエントオクルージョンを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsShadowMappingAvailable | ( | void |  | ) | const

pure virtual

シャドウマッピングを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

Note
  ディレクショナルライトが作成されていない、または無効になっている場合は False を返します。

virtual Boolean Mix::Scene::IRenderer::IsLuminosityAvailable | ( | void |  | ) | const

pure virtual

ルミノシティを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsBloomAvailable | ( | void |  | ) | const

pure virtual

ブルームを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsLightShaftsAvailable | ( | void |  | ) | const

pure virtual

ライトシャフトを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsLensFlareAvailable | ( | void |  | ) | const

pure virtual

レンズフレアを使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsChromatismAvailable | ( | void |  | ) | const

pure virtual

色収差を使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Scene::IRenderer::IsDofAvailable | ( | void |  | ) | const

pure virtual

被写界深度を使用することができるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual void Mix::Scene::IRenderer::Update | ( | Float32 | dt,
|  | Float32 | baseDt = `1.0f/60.0f`
| ) |  |

pure virtual

更新を行います

Parameters

  [in] | dt | 1フレームの所要時間(秒単位)
  [in] | baseDt | 1フレームの固定の所要時間(秒単位)

Note
  現在のレンダラーの設定に基づいて、内部パラメータを求めています。
  また、ダイナミクスワールドを作成していた場合は、このタイミングで Mix::Dynamics::IWorld::Update によりシミュレーションが行われます。
  ※パーティクル、モデルなどの更新( Update )は行っていません

virtual void Mix::Scene::IRenderer::Refresh | ( | void |  | ) |

pure virtual

リフレッシュを行います

Note
  ※ローカルライト、パーティクル、モデルなどのリフレッシュ( Refresh )は行っていません

virtual const Mix::Geometry::AABB& Mix::Scene::IRenderer::GetOctreeBounds | ( | void |  | ) | const

pure virtual

描画の最適化に使用する八分木の境界を取得します

Returns
  境界を表す Mix::Geometry::AABB クラスを返します

virtual const Mix::Vector4& Mix::Scene::IRenderer::GetGlobalAmbientColor | ( | void |  | ) | const

pure virtual

グローバルアンビエントカラーを取得します

Returns
  カラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IRenderer::SetGlobalAmbientColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

グローバルアンビエントカラーを設定します

Parameters

  [in] | color | カラーを表す Mix::Vector4 クラス

Note
  光が物体にさえぎられてできる暗い部分の色を表します。
  また色として設定するベクトルの各要素は以下のようになります。
  xyz=色( 0.0f〜1.0f )
  w=濃淡( 0.0f〜1.0f )

virtual Boolean Mix::Scene::IRenderer::ExistsEnvironmentTexture | ( | void |  | ) | const

pure virtual

環境テクスチャが存在しているかどうかを確認します

Returns
  存在している場合は True を返します。

virtual Boolean Mix::Scene::IRenderer::GetEnvironmentTexture | ( | Mix::Graphics::ITexture ** | ppTex | ) |

pure virtual

環境テクスチャを取得します。

Parameters

  [out] | ppTex | 取得した環境テクスチャを表す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します。

virtual void Mix::Scene::IRenderer::SetEnvironmentTexture | ( | Mix::Graphics::ITexture * | pTex | ) |

pure virtual

環境テクスチャを設定します。

Parameters

  [in] | pTex | 設定する環境テクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Note
  マテリアルの反射として使用される、キューブテクスチャになります。

virtual Boolean Mix::Scene::IRenderer::IsFogEnabled | ( | void |  | ) | const

pure virtual

フォグが有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::IRenderer::SetFogEnabled | ( | Boolean | state | ) |

pure virtual

フォグを有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::IRenderer::FOG_SETTINGS& Mix::Scene::IRenderer::GetFogSettings | ( | void |  | ) | const

pure virtual

フォグのパラメータを取得します

Returns
  パラメータを表す Mix::Scene::IRenderer::FOG_SETTINGS 構造体を返します

virtual void Mix::Scene::IRenderer::SetFogSettings | ( | const Mix::Scene::IRenderer::FOG_SETTINGS & | param | ) |

pure virtual

フォグのパラメータを設定します

Parameters

  [in] | param | パラメータを表す Mix::Scene::IRenderer::FOG_SETTINGS 構造体

virtual void Mix::Scene::IRenderer::GetAtmosphereScatter | ( | Mix::Scene::IAtmosphereScatter ** | ppAtmospherePreference | ) |

pure virtual

大気スキャッターを取得します

Parameters

  [out] | ppAtmospherePreference | 取得した大気スキャッターを渡す Mix::Scene::IAtmosphereScatter インターフェースのポインタのアドレス

virtual void Mix::Scene::IRenderer::GetDynamicsWorld | ( | Mix::Scene::IDynamicsWorld ** | ppDynamicsWorld | ) |

pure virtual

ダイナミクスワールドを取得します

Parameters

  [out] | ppDynamicsWorld | 取得したダイナミクスプロパティを渡す Mix::Scene::IDynamicsWorld インターフェースのポインタのアドレス

virtual UInt32 Mix::Scene::IRenderer::GetCameraCount | ( | void |  | ) | const

pure virtual

カメラの数を取得します

Returns
  カメラの数を返します

virtual void Mix::Scene::IRenderer::GetCameraByIndex | ( | UInt32 | index,
|  | Mix::Scene::ICamera ** | ppCamera
| ) |  |

pure virtual

カメラを取得します

Parameters

  [in] | index | 取得するカメラのインデックス
  [out] | ppCamera | 取得したカメラを渡す Mix::Scene::ICamera インターフェースのポインタのアドレス

Note
  取得したカメラは参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::ContainsCamera | ( | Mix::Scene::ICamera * | pCamera | ) | const

pure virtual

カメラが存在しているかどうかを取得します

Parameters

  [in] | pCamera | 存在確認をするカメラを表す Mix::Scene::ICamera インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddCamera | ( | Mix::Scene::ICamera * | pCamera | ) |

pure virtual

カメラを追加します

Parameters

  [in] | pCamera | 追加するカメラを表す Mix::Scene::IUniversalCamera インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  追加したカメラは参照カウンタを +1 します。

virtual Boolean Mix::Scene::IRenderer::RemoveCamera | ( | Mix::Scene::ICamera * | pCamera | ) |

pure virtual

カメラを削除します

Parameters

  [in] | pCamera | 削除するカメラを表す Mix::Scene::ICamera インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  削除したカメラは参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveCameraByIndex | ( | UInt32 | index | ) |

pure virtual

カメラを削除します

Parameters

  [in] | index | 削除するカメラのインデックス

Note
  削除したカメラは参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllCamera | ( | void |  | ) |

pure virtual

全てのカメラを削除します

Note
  削除したカメラは参照カウンタを -1 します

virtual Boolean Mix::Scene::IRenderer::ExistsHemisphereLight | ( | void |  | ) | const

pure virtual

半球ライトが利用可能かどうかを取得します

Returns
  利用可能な場合は True を返します

virtual Boolean Mix::Scene::IRenderer::GetHemisphereLight | ( | Mix::Scene::IHemisphereLight ** | ppHemisphereLight | ) |

pure virtual

半球ライトを取得します

Parameters

  [out] | ppHemisphereLight | 取得した半球ライトを渡す Mix::Scene::IHemisphereLight インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得した半球ライトは参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::SetHemisphereLight | ( | Mix::Scene::IHemisphereLight * | pHemisphereLight | ) |

pure virtual

半球ライトを設定します

Parameters

  [in] | pHemisphereLight | 設定した半球ライトを表す Mix::Scene::IHemisphereLight インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  直前の半球ライトは参照カウンタを -1 します。

virtual Boolean Mix::Scene::IRenderer::ExistsDirectionalLight | ( | void |  | ) | const

pure virtual

ディレクショナルライトが存在しているかどうかを取得します

Returns
  利用可能な場合は True を返します

virtual Boolean Mix::Scene::IRenderer::GetDirectionalLight | ( | Mix::Scene::IDirectionalLight ** | ppDirectionalLight | ) |

pure virtual

ディレクショナルライトを取得します

Parameters

  [out] | ppDirectionalLight | 取得したディクショナルライトを渡す Mix::Scene::IDirectionalLight インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したディレクショナルライトは参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::SetDirectionalLight | ( | Mix::Scene::IDirectionalLight * | pDirectionalLight | ) |

pure virtual

ディレクショナルライトを設定します

Parameters

  [in] | pDirectionalLight | 設定するディレクショナルライトを表す Mix::Scene::IDirectionalLight インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  直前のディレクショナルライトは参照カウンタを -1 します。

virtual UInt32 Mix::Scene::IRenderer::GetSpotLightCount | ( | void |  | ) | const

pure virtual

スポットライトの数を取得します

Returns
  スポットライトの数を返します

virtual void Mix::Scene::IRenderer::GetSpotLightByIndex | ( | UInt32 | index,
|  | Mix::Scene::ISpotLight ** | ppSpotLight
| ) |  |

pure virtual

スポットライトを取得します

Parameters

  [in] | index | 取得するスポットライトのインデックス
  [out] | ppSpotLight | 取得したスポットライトを渡す Mix::Scene::ISpotLight インターフェースのポインタのアドレス

virtual Boolean Mix::Scene::IRenderer::ContainsSpotLight | ( | Mix::Scene::ISpotLight * | pSpotLight | ) | const

pure virtual

スポットライトが存在するかどうかを取得します

Parameters

  [in] | pSpotLight | スポットライトを表す Mix::Scene::ISpotLight インターフェースのポインタ

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddSpotLight | ( | Mix::Scene::ISpotLight * | pSpotLight | ) |

pure virtual

スポットライトを追加します

Parameters

  [in] | pSpotLight | 追加するスポットライトを表す Mix::Scene::ISpotLight インターフェースのポインタ

Returns
  スポットライトの追加に成功した場合は True を返します

Note
  追加に成功したスポットライトは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::RemoveSpotLight | ( | Mix::Scene::ISpotLight * | pSpotLight | ) |

pure virtual

スポットライトを削除します

Parameters

  [in] | pSpotLight | 削除するスポットライトを表す Mix::Scene::ISpotLight インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したスポットライトは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveSpotLightByIndex | ( | UInt32 | index | ) |

pure virtual

スポットライトを削除します

Parameters

  [in] | index | 削除するスポットライトのインデックス

virtual void Mix::Scene::IRenderer::RemoveAllSpotLight | ( | void |  | ) |

pure virtual

全てのスポットライトを削除します

virtual UInt32 Mix::Scene::IRenderer::GetPointLightCount | ( | void |  | ) | const

pure virtual

ポイントライトの数を取得します

Returns
  ポイントライトの数を返します

virtual void Mix::Scene::IRenderer::GetPointLightByIndex | ( | UInt32 | index,
|  | Mix::Scene::IPointLight ** | ppPointLight
| ) |  |

pure virtual

ポイントライトを取得します

Parameters

  [in] | index | 取得するポイントライトのインデックス
  [out] | ppPointLight | 取得したポイントライトを渡す Mix::Scene::IPointLight インターフェースのポインタのアドレス

virtual Boolean Mix::Scene::IRenderer::ContainsPointLight | ( | Mix::Scene::IPointLight * | pPointLight | ) | const

pure virtual

ポイントライトが存在するかどうかを取得します

Parameters

  [in] | pPointLight | ポイントライトを表す Mix::Scene::IPointLight インターフェースのポインタ

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddPointLight | ( | Mix::Scene::IPointLight * | pPointLight | ) |

pure virtual

ポイントライトを追加します

Parameters

  [in] | pPointLight | 追加するポイントライトを表す Mix::Scene::IPointLight インターフェースのポインタ

Returns
  ポイントライトの追加に成功した場合は True を返します

Note
  追加に成功したポイントライトは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::RemovePointLight | ( | Mix::Scene::IPointLight * | pPointLight | ) |

pure virtual

ポイントライトを削除します

Parameters

  [in] | pPointLight | 削除するポイントライトを表す Mix::Scene::IPointLight インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したポイントライトは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemovePointLightByIndex | ( | UInt32 | index | ) |

pure virtual

ポイントライトを削除します

Parameters

  [in] | index | 削除するポイントライトのインデックス

Note
  削除に成功したポイントライトは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllPointLight | ( | void |  | ) |

pure virtual

全てのポイントライトを削除します

virtual Boolean Mix::Scene::IRenderer::ExistsSkyDome | ( | void |  | ) | const

pure virtual

スカイドームが存在しているかどうかを確認します

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::GetSkyDome | ( | Mix::Scene::ISkyDome ** | ppSkyDome | ) |

pure virtual

スカイドームを取得します

Parameters

  [out] | ppSkyDome | 取得したスカイドームを渡す Mix::Scene::ISkyDome インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IRenderer::SetSkyDome | ( | Mix::Scene::ISkyDome * | pSkyDome | ) |

pure virtual

スカイドームを設定します。

Parameters

  [in] | pSkyDome | 設定するスカイドームを表す Mix::Scene::ISkyDome インターフェースのポインタ

Returns
  成功した場合は True を返します

virtual Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE Mix::Scene::IRenderer::GetWidgetLightingMode | ( | void |  | ) | const

pure virtual

ウィジェットのライティングモードを取得します

Returns
  ライティングモードを表す Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE 列挙定数を返します

virtual void Mix::Scene::IRenderer::SetWidgetLightingMode | ( | Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE | mode | ) |

pure virtual

ウィジェットのライティングモードを設定します

Parameters

  [in] | mode | ライティングモードを表す Mix::Scene::IRenderer::WIDGET_LIGHTING_MODE 列挙定数

virtual UInt32 Mix::Scene::IRenderer::GetLeavingParticleCount | ( | void |  | ) | const

pure virtual

リービングパーティクルの数を取得します

Returns
  リービングパーティクルの数を返します

virtual void Mix::Scene::IRenderer::GetLeavingParticleByIndex | ( | UInt32 | index,
|  | Mix::Scene::IParticle ** | ppParticle
| ) |  |

pure virtual

リービングパーティクルを取得します

Parameters

  [in] | index | 取得するリービングパーティクルのインデックス
  [out] | ppParticle | 取得したリービングパーティクルを渡す Mix::Scene::IParticle インターフェースのポインタのアドレス

Note
  取得に成功したリービングパーティクルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::ContainsLeavingParticle | ( | Mix::Scene::IParticle * | pParticle | ) | const

pure virtual

指定したリービングパーティクルが存在しているかどうかを取得します

Parameters

  [in] | pParticle | リービングパーティクルを表す Mix::Scene::IParticle インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddLeavingParticle | ( | Mix::Scene::ILeavingParticle * | pParticle | ) |

pure virtual

リービングリービングパーティクルを追加します

Parameters

  [in] | pParticle | 追加するリービングリービングパーティクルを表す Mix::Scene::ILeavingParticle インターフェースのポインタ

Returns
  追加に成功した場合は True を返します

Note
  追加に成功したリービングパーティクルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::RemoveLeavingParticle | ( | Mix::Scene::IParticle * | pParticle | ) |

pure virtual

リービングパーティクルを削除します

Parameters

  [in] | pParticle | 削除するリービングパーティクルを表す Mix::Scene::IParticle インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したリービングパーティクルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveLeavingParticleByIndex | ( | UInt32 | index | ) |

pure virtual

リービングパーティクルを削除します

Parameters

  [in] | index | 削除するリービングパーティクルのインデックス

Note
  削除に成功したリービングパーティクルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllLeavingParticle | ( | void |  | ) |

pure virtual

全てのリービングパーティクルを削除します

virtual UInt32 Mix::Scene::IRenderer::GetScatterParticleCount | ( | void |  | ) | const

pure virtual

スキャッターパーティクルの数を取得します

Returns
  スキャッターパーティクルの数を返します

virtual void Mix::Scene::IRenderer::GetScatterParticleByIndex | ( | UInt32 | index,
|  | Mix::Scene::IParticle ** | ppParticle
| ) |  |

pure virtual

スキャッターパーティクルを取得します

Parameters

  [in] | index | 取得するスキャッターパーティクルのインデックス
  [out] | ppParticle | 取得したスキャッターパーティクルを渡す Mix::Scene::IParticle インターフェースのポインタのアドレス

Note
  取得に成功したスキャッターパーティクルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::ContainsScatterParticle | ( | Mix::Scene::IParticle * | pParticle | ) | const

pure virtual

指定したスキャッターパーティクルが存在しているかどうかを取得します

Parameters

  [in] | pParticle | スキャッターパーティクルを表す Mix::Scene::IParticle インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddScatterParticle | ( | Mix::Scene::IScatterParticle * | pParticle | ) |

pure virtual

スキャッタースキャッターパーティクルを追加します

Parameters

  [in] | pParticle | 追加するスキャッタースキャッターパーティクルを表す Mix::Scene::IScatterParticle インターフェースのポインタ

Returns
  追加に成功した場合は True を返します

Note
  追加に成功したスキャッターパーティクルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::RemoveScatterParticle | ( | Mix::Scene::IParticle * | pParticle | ) |

pure virtual

スキャッターパーティクルを削除します

Parameters

  [in] | pParticle | 削除するスキャッターパーティクルを表す Mix::Scene::IParticle インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したスキャッターパーティクルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveScatterParticleByIndex | ( | UInt32 | index | ) |

pure virtual

スキャッターパーティクルを削除します

Parameters

  [in] | index | 削除するスキャッターパーティクルのインデックス

Note
  削除に成功したスキャッターパーティクルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllScatterParticle | ( | void |  | ) |

pure virtual

全てのスキャッターパーティクルを削除します

virtual UInt32 Mix::Scene::IRenderer::GetPlanterCount | ( | void |  | ) | const

pure virtual

プランターの数を取得します

Returns
  プランターの数を返します

virtual void Mix::Scene::IRenderer::GetPlanterByIndex | ( | UInt32 | index,
|  | Mix::Scene::IPlanter ** | ppPlanter
| ) |  |

pure virtual

プランターを取得します

Parameters

  [in] | index | 取得するプランターのインデックス
  [out] | ppPlanter | 取得したプランターを渡す Mix::Scene::IPlanter インターフェースのポインタのアドレス

virtual Boolean Mix::Scene::IRenderer::ContainsPlanter | ( | Mix::Scene::IPlanter * | pPlanter | ) | const

pure virtual

プランターが存在するかどうかを取得します

Parameters

  [in] | pPlanter | プランターを表す Mix::Scene::IPlanter インターフェースのポインタ

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddPlanter | ( | Mix::Scene::IPlanter * | pPlanter | ) |

pure virtual

プランターを追加します

Parameters

  [in] | pPlanter | 追加するプランターを渡す Mix::Scene::IPlanter インターフェースのポインタ

Returns
  プランターの追加に成功した場合は True を返します

virtual Boolean Mix::Scene::IRenderer::RemovePlanter | ( | Mix::Scene::IPlanter * | pPlanter | ) |

pure virtual

プランターを削除します

Parameters

  [in] | pPlanter | 削除するプランターを表す Mix::Scene::IPlanter インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したプランターは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemovePlanterByIndex | ( | UInt32 | index | ) |

pure virtual

プランターを削除します

Parameters

  [in] | index | 削除するプランターのインデックス

Note
  削除に成功したプランターは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllPlanter | ( | void |  | ) |

pure virtual

全てのプランターを削除します

virtual UInt32 Mix::Scene::IRenderer::GetActorModelCount | ( | void |  | ) | const

pure virtual

アクターモデルの数を取得します

Returns
  アクターモデルの数を返します

virtual void Mix::Scene::IRenderer::GetActorModelByIndex | ( | UInt32 | index,
|  | Mix::Scene::IActorModel ** | ppActorModel
| ) |  |

pure virtual

アクターモデルを取得します

Parameters

  [in] | index | 取得するアクターモデルのインデックス
  [out] | ppActorModel | 取得したアクターモデルを渡す Mix::Scene::IActorModel インターフェースのポインタのアドレス

Note
  取得に成功したアクターモデルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::ContainsActorModel | ( | Mix::Scene::IActorModel * | pActorModel | ) | const

pure virtual

指定したアクターモデルが存在しているかどうかを取得します

Parameters

  [in] | pActorModel | アクターモデルを表す Mix::Scene::IActorModel インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddActorModel | ( | Mix::Scene::IActorModel * | pActorModel | ) |

pure virtual

アクターモデルを追加します

Parameters

  [in] | pActorModel | 追加するアクターモデルを表す Mix::Scene::IActorModel インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  追加に成功したアクターモデルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::RemoveActorModel | ( | Mix::Scene::IActorModel * | pActorModel | ) |

pure virtual

アクターモデルを削除します

Parameters

  [in] | pActorModel | 削除するアクターモデルを表す Mix::Scene::IActorModel インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したアクターモデルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveActorModelByIndex | ( | UInt32 | index | ) |

pure virtual

アクターモデルを削除します

Parameters

  [in] | index | 削除するアクターモデルのインデックス

Note
  削除に成功したアクターモデルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllActorModel | ( | void |  | ) |

pure virtual

全てのアクターモデルを削除します

virtual UInt32 Mix::Scene::IRenderer::GetTerrainModelCount | ( | void |  | ) | const

pure virtual

地形モデルの数を取得します

Returns
  地形モデルの数を返します

virtual void Mix::Scene::IRenderer::GetTerrainModelByIndex | ( | UInt32 | index,
|  | Mix::Scene::ITerrainModel ** | ppTerrainModel
| ) |  |

pure virtual

地形モデルを取得します

Parameters

  [in] | index | 取得する地形モデルのインデックス
  [out] | ppTerrainModel | 取得した地形モデルを渡す Mix::Scene::ITerrainModel インターフェースのポインタのアドレス

Note
  取得に成功した地形モデルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::ContainsTerrainModel | ( | Mix::Scene::ITerrainModel * | pTerrainModel | ) |

pure virtual

指定した地形モデルが存在しているかどうかを取得します

Parameters

  [in] | pTerrainModel | 地形モデルを表す Mix::Scene::ITerrainModel インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddTerrainModel | ( | Mix::Scene::ITerrainModel * | pTerrainModel | ) |

pure virtual

地形モデルを追加します

Parameters

  [in] | pTerrainModel | 追加する地形モデルを表す Mix::Scene::ITerrainModel インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  追加に成功したモ地形デルは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::RemoveTerrainModel | ( | Mix::Scene::ITerrainModel * | pTerrainModel | ) |

pure virtual

地形モデルを削除します

Parameters

  [in] | pTerrainModel | 削除する地形モデルを表す Mix::Scene::ITerrainModel インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功した地形モデルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveTerrainModelByIndex | ( | UInt32 | index | ) |

pure virtual

地形モデルを削除します

Parameters

  [in] | index | 削除する地形モデルのインデックス

Note
  削除に成功した地形モデルは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllTerrainModel | ( | void |  | ) |

pure virtual

全ての地形モデルを削除します

virtual Boolean Mix::Scene::IRenderer::ExistsLightShaftsCaster | ( | void |  | ) | const

pure virtual

ライトシャフトキャスターが存在しているかどうかを確認します

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::GetLightShaftsCaster | ( | Mix::Scene::ILightShaftsCaster ** | ppLightShaftsCaster | ) |

pure virtual

ライトシャフトキャスターを取得します

Parameters

  [out] | ppLightShaftsCaster | 取得したライトシャフトキャスターを渡す Mix::Scene::ILightShaftsCaster インタフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IRenderer::SetLightShaftsCaster | ( | Mix::Scene::ILightShaftsCaster * | pLightShaftsCaster | ) |

pure virtual

ライトシャフトキャスターを設定します

Parameters

  [in] | pLightShaftsCaster | 設定するライトシャフトキャスターを表す Mix::Scene::ILightShaftsCaster インターフェースのポインタ

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Scene::IRenderer::GetWaterPoolCount | ( | void |  | ) | const

pure virtual

ウォータープールの数を取得します

Returns
  ウォータープールの数を返します

virtual void Mix::Scene::IRenderer::GetWaterPoolByIndex | ( | UInt32 | index,
|  | Mix::Scene::IWaterPool ** | ppWaterPool
| ) |  |

pure virtual

ウォータープールを取得します

Parameters

  [in] | index | 取得するウォータープールのインデックス
  [out] | ppWaterPool | 取得したウォータープールを渡す Mix::Scene::IWaterPool インターフェースのポインタのアドレス

virtual Boolean Mix::Scene::IRenderer::ContainsWaterPool | ( | Mix::Scene::IWaterPool * | pWaterPool | ) | const

pure virtual

ウォータープールが存在するかどうかを取得します

Parameters

  [in] | pWaterPool | ウォータープールを表す Mix::Scene::IWaterPool インターフェースのポインタ

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddWaterPool | ( | Mix::Scene::IWaterPool * | pWaterPool | ) |

pure virtual

ウォータープールを追加します

Parameters

  [in] | pWaterPool | 追加するウォータープールを表す Mix::Scene::IWaterPool インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  追加したウォータープールは、参照カウンタを +1 します。

virtual Boolean Mix::Scene::IRenderer::RemoveWaterPool | ( | Mix::Scene::IWaterPool * | pWaterPool | ) |

pure virtual

ウォータープールを削除します

Parameters

  [in] | pWaterPool | 削除するウォータープールを表す Mix::Scene::IWaterPool インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したウォータープールは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveWaterPoolByIndex | ( | UInt32 | index | ) |

pure virtual

ウォータープールを削除します

Parameters

  [in] | index | 削除するウォータープールのインデックス

Note
  削除に成功したウォータープールは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllWaterPool | ( | void |  | ) |

pure virtual

全てのウォータープールを削除します

virtual Boolean Mix::Scene::IRenderer::ExistsFloor | ( | void |  | ) | const

pure virtual

フロアが利用可能かどうかを取得します

Returns
  利用可能な場合は True を返します

virtual Boolean Mix::Scene::IRenderer::GetFloor | ( | Mix::Scene::IFloor ** | ppFloor | ) |

pure virtual

フロアを取得します

Parameters

  [out] | ppFloor | 取得したフロアを渡す Mix::Scene::IFloor インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合 フロアの参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::SetFloor | ( | Mix::Scene::IFloor * | pFloor | ) |

pure virtual

フロアを設定します

Parameters

  [in] | pFloor | 設定するフロアを表す Mix::Scene::IFloor インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  設定したフロアは、参照カウンタを +1 します。

virtual UInt32 Mix::Scene::IRenderer::GetGhostCount | ( | void |  | ) | const

pure virtual

ゴーストの数を取得します

Returns
  ゴーストの数を帰します

virtual void Mix::Scene::IRenderer::GetGhostByIndex | ( | UInt32 | index,
|  | Mix::Scene::IGhost ** | ppGhost
| ) |  |

pure virtual

ゴーストを取得します

Parameters

  [in] | index | 取得するゴーストのインデックス
  [out] | ppGhost | 取得したゴーストを渡す Mix::Scene::IGhost インターフェースのポインタのアドレス

Note
  取得に成功したゴーストは、参照カウンタを +1 します

virtual Boolean Mix::Scene::IRenderer::ContainsGhost | ( | Mix::Scene::IGhost * | pGhost | ) | const

pure virtual

指定したゴーストが存在しているかどうかを取得します

Parameters

  [in] | pGhost | ゴーストを表す Mix::Scene::IGhost インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IRenderer::AddGhost | ( | Mix::Scene::IGhost * | pGhost | ) |

pure virtual

ゴーストを追加します

Parameters

  [in] | pGhost | 追加するゴーストを表す Mix::Scene::IGhost インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  追加したゴーストは、参照カウンタを +1 します。

virtual Boolean Mix::Scene::IRenderer::RemoveGhost | ( | Mix::Scene::IGhost * | pGhost | ) |

pure virtual

ゴーストを削除します

Parameters

  [in] | pGhost | 削除するゴーストを表す Mix::Scene::IGhost インターフェースのポインタ

Returns
  削除に成功した場合は True を返します

Note
  削除に成功したゴーストは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveGhostByIndex | ( | UInt32 | index | ) |

pure virtual

ゴーストを削除します

Parameters

  [in] | index | 削除するゴーストのインデックス

Note
  削除に成功したゴーストは、参照カウンタを -1 します

virtual void Mix::Scene::IRenderer::RemoveAllGhost | ( | void |  | ) |

pure virtual

全てのゴーストを削除します

virtual UInt32 Mix::Scene::IRenderer::Debug_GetProfile | ( | UInt32 | type,
|  | void * | pProf,
|  | UInt32 | size
| ) |  | const

pure virtual

プロファイルを取得します

Parameters

  [in] | type | タイプを表す Mix::Scene::DEBUG_PROFILE_TYPE 列挙定数
  [out] | pProf | プロファイルのコピー先のポインタ
  [in] | size | プロファイルのコピー先のサイズ

Returns
  コピーしたサイズを返します

Note
  プロファイルのタイプとコピー先になる構造体の組み合わせは以下のようになります。

  タイプ | 構造体
  --- | ---
  DPT_GENERAL | DEBUG_PROFILE_RENDERER_GENERAL
  DPT_DYNAMICS | DEBUG_PROFILE_RENDERER_DYNAMICS
  DPT_OCTREE | DEBUG_PROFILE_RENDERER_OCTREE

virtual Boolean Mix::Scene::IRenderer::Debug_GetPerspectiveRenderer | ( | Mix::Graphics::Utility::IPerspectiveRenderer ** | ppPerspectiveRenderer | ) |

pure virtual

描画用のパースペクティブレンダラーを取得します

Parameters

  [out] | ppPerspectiveRenderer | 取得したたパースペクティブレンダラーを渡す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual void Mix::Scene::IRenderer::Debug_SetPerspectiveRenderer | ( | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer | ) |

pure virtual

描画用のパースペクティブレンダラーを設定します

Parameters

  [in] | pPerspectiveRenderer | 設定するパースペクティブレンダラーを渡す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタのアドレス

Note
  このメソッドで設定されたパースペクティブレンダラーの描画は Mix::Scene::ICamera::Draw で行われます。
  外部から IPerspectiveRenderer::Update IPerspectiveRenderer::Draw を呼び出す必要はありません。

virtual Boolean Mix::Scene::IRenderer::Debug_GetCanvasRenderer | ( | Mix::Graphics::Utility::ICanvasRenderer ** | ppCanvasRenderer | ) |

pure virtual

描画用のキャンバスレンダラーを取得します

Parameters

  [out] | ppCanvasRenderer | 取得したキャンバスレンダラーを渡す Mix::Graphics::Utility::ICanvasRenderer インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual void Mix::Scene::IRenderer::Debug_SetCanvasRenderer | ( | Mix::Graphics::Utility::ICanvasRenderer * | pCanvasRenderer | ) |

pure virtual

描画用のキャンバスレンダラーを設定します

Parameters

  [in] | pCanvasRenderer | キャンバスレンダラーを表す Mix::Graphics::Utility::ICanvasRenderer インターフェースのポインタ このメソッドで設定されたキャンバスレンダラーの描画は Mix::Scene::ICamera::Draw で行われます。 外部からパースペクティブレンダラーの ICanvasRenderer::Update ICanvasRenderer::Draw を呼び出す必要はありません。 また、行列、クリップはスタックを空( DrainMatrix DrainClip )にして、初期化しますので注意してください。

The documentation for this class was generated from the following file:

- Mix/Scene/IRenderer.h